namespace ConfigFileManager.Controls.FileSelector;

public partial class FileVertical : UserControl
{
    public FileVertical()
    {
        InitializeComponent();
    }

    public object ImageSource
    {
        get { return (object)GetValue(ImageSourceProperty); }
        set { SetValue(ImageSourceProperty, value); }
    }

    public static readonly DependencyProperty ImageSourceProperty =
        DependencyProperty.Register("ImageSource", typeof(object), typeof(FileVertical), new PropertyMetadata(default));

    public string FileType
    {
        get { return (string)GetValue(FileTypeProperty); }
        set { SetValue(FileTypeProperty, value); }
    }

    public static readonly DependencyProperty FileTypeProperty =
        DependencyProperty.Register("FileType", typeof(string), typeof(FileVertical), new PropertyMetadata(default));

    public string FileName
    {
        get { return (string)GetValue(FileNameProperty); }
        set { SetValue(FileNameProperty, value); }
    }

    public static readonly DependencyProperty FileNameProperty =
        DependencyProperty.Register("FileName", typeof(string), typeof(FileVertical), new PropertyMetadata(default));
}
